%FreakLab - disp_1_1.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Diese Funktion dient in FreakLab_opt1 zum Update des Preview-Bildes
%(Display) bei nderung eines Textfeldes, eines Sliders oder einer
%Checkbox. Wird allerdings ein Textfeld der Abbildungsmatrix gendert, ist
%eine andere Routine zustndig -> disp_1_2.m
%
%Das Herzstck dieser Funktion ist die Matlab-Routine imtransform

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function disp_1_1(hObject,handles)
    
    %kleines Anzeigefenster auswhlen
    set(gcf,'CurrentAxes',handles.axes2);
    %Preview-Image mit Hilfe der Transformationsmatrix berechnen und
    %anzeigen
    image(imtransform(handles.imtiny,maketform('affine',[handles.afftra,zeros(2,1);zeros(1,2),1])));
    axis off;
    
    guidata(hObject,handles);
    
end